package net.sergeych.tools

import net.sergeych.bipack.BipackDecoder
import net.sergeych.bipack.BipackEncoder


inline fun <reified T>bipack(value: T): UByteArray = BipackEncoder.encode(value).asUByteArray()

inline fun <reified T>biunpack(value: UByteArray): T = BipackDecoder.decode(value.asByteArray())

